Differences between revisions 3 and 15 (spanning 12 versions)
Revision 3 as of 2011-03-13 12:07:00
Size: 2180
Comment: sync with English version
Revision 15 as of 2019-07-09 05:58:46
Size: 2643
Comment: sync with English master v.22
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:
~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[StableUpdates|English]] - Italiano -~ ~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[StableUpdates|English]] - [[es/StableUpdates|Español]] - [[fr/StableUpdates|Français]] - Italiano  - [[ru/StableUpdates|Русский]] -~
Line 5: Line 5:
= stable-updates (aggiornamenti stabili) = = stable-updates (aggiornamenti di stable) =
Line 7: Line 7:
Citando le [[http://www.debian.org/releases/squeeze/i386/release-notes/ch-whats-new.it.html#stable-updates|note di rilascio]] di Debian Squeeze:
Line 9: Line 8:
Alcuni dei pacchetti in [[it/StableProposedUpdates|proposed-updates]] potrebbero essere disponibili anche tramite {{{squeeze-updates}}}. Questo avverrà per quei particolari aggiornamenti, come quelli per l'antivirus o dei dati per i fusi orari, che molti utenti potrebbero voler installare prima che sia realizzata la point release successiva. Tutti i pacchetti di {{{squeeze-updates}}} verranno inseriti nella point release successiva. Alcuni dei pacchetti in [[it/StableProposedUpdates|proposed-updates]] potrebbero essere disponibili anche tramite {{{stable-updates}}}. Questo avverrà per quei particolari aggiornamenti, come quelli per l'antivirus o dei dati per i fusi orari, che molti utenti potrebbero voler installare prima che sia realizzata la point release successiva. Tutti i pacchetti di {{{stable-updates}}} verranno inseriti nella point release successiva.
Line 11: Line 10:
Notare che in passato questa funzionalità era fornita dall'archivio [[it/DebianVolatile|Debian Volatile]]. Per <<DebianVersion(stable)>> <<DebianCodenameLink(stable)>>, per usare i pacchetti da {{{buster-updates}}} (alias {{{stable-updates}}}), è possibile aggiungere una voce al proprio [[it/SourcesList|sources.list]]. Per esempio: {{{
deb http://deb.debian.org/debian buster-updates main
deb-src http://deb.debian.org/debian buster-updates main
}}}
Line 13: Line 15:
Per usare i pacchetti da {{{squeeze-updates}}}, è possibile aggiungere le seguenti voci al proprio sources.list: Per [[it/DebianJessie|Debian 8 "Jessie"]], {{{jessie-updates}}} non esiste più dato che questa suite non riceve più aggiornamenti dal 2018-05-17.
Line 15: Line 17:
deb http://mirrors.kernel.org/debian squeeze-updates main contrib
deb-src http://mirrors.kernel.org/debian squeeze-updates main contrib
Line 18: Line 18:
Alla prossima esecuzione di {{{apt-get update}}}, il sistema sarà al corrente dei pacchetti disponibili in squeeze-updates e li considererà al momento di cercare gli aggiornamenti dei pacchetti. Alla prossima esecuzione di {{{apt update}}}, il sistema sarà al corrente dei pacchetti disponibili nella sezione (old)stable-updates e li considererà al momento di cercare gli aggiornamenti dei pacchetti.
Line 20: Line 20:
La disponibilità di un pacchetto via {{{squeeze-updates}}} verrà annunciata sulla mailing list [[http://lists.debian.org/debian-stable-announce/|debian-stable-announce]]. Notare che se {{{APT::Default-Release}}} è impostata nella [[it/AptConf|configurazione di apt]], allora, affinché gli aggiornamenti automatici funzionino, è necessario aggiungere alcune impostazioni di [[it/AptPreferences|pinning di apt]] (per maggiori informazioni vedere [[DebianMan:5/apt_preferences|apt_preferences(5)]]): {{{
Package: *
Pin: release o=Debian,n=buster-updates
Pin-Priority: 990
}}}
Line 22: Line 26:
{{{stable-updates}}} è stato introdotto in [[it/DebianSqueeze|Squeeze]] in sostituzione dell'archivio [[it/DebianVolatile|Volatile]] di [[it/DebianLenny|Lenny]] (vedere l'[[http://www.debian.org/News/2011/20110215|annuncio]]). La disponibilità di un pacchetto via (old)stable-updates verrà annunciata sulla mailing list [[https://lists.debian.org/debian-stable-announce/|debian-stable-announce]].
Line 24: Line 28:
== Si veda anche == {{{stable-updates}}} è stato introdotto in [[it/DebianSqueeze|Squeeze]] in sostituzione dell'archivio Volatile di [[it/DebianLenny|Lenny]] (vedere l'[[https://www.debian.org/News/2011/20110215|annuncio]]).

== Vedere anche ==
 * [[it/DebianReleases|Rilasci Debian]]
Line 26: Line 33:
 * http://www.debian.org/volatile/ - Pagina ufficiale di Debian-Volatile.
 * http
://lists.debian.org/debian-stable-announce/ - Gli aggiornamenti per i pacchetti stabili saranno annunciati in questa lista.
 * [[http://lists.debian.org/debian-devel-announce/2011/03/msg00010.html|Annuncio "Bit from the SRMs: the "stable-updates" suite"]]
 * https://lists.debian.org/debian-stable-announce/ - Gli aggiornamenti per i pacchetti stabili saranno annunciati in questa lista.
 * [[https://lists.debian.org/debian-devel-announce/2011/03/msg00010.html|Annuncio "Bit from the SRMs: the "stable-updates" suite"]]

Translation(s): English - Español - Français - Italiano - Русский


stable-updates (aggiornamenti di stable)

Introduzione

Alcuni dei pacchetti in proposed-updates potrebbero essere disponibili anche tramite stable-updates. Questo avverrà per quei particolari aggiornamenti, come quelli per l'antivirus o dei dati per i fusi orari, che molti utenti potrebbero voler installare prima che sia realizzata la point release successiva. Tutti i pacchetti di stable-updates verranno inseriti nella point release successiva.

Per 11.1 Bullseye, per usare i pacchetti da buster-updates (alias stable-updates), è possibile aggiungere una voce al proprio sources.list. Per esempio:

deb     http://deb.debian.org/debian buster-updates main
deb-src http://deb.debian.org/debian buster-updates main

Per Debian 8 "Jessie", jessie-updates non esiste più dato che questa suite non riceve più aggiornamenti dal 2018-05-17.

Alla prossima esecuzione di apt update, il sistema sarà al corrente dei pacchetti disponibili nella sezione (old)stable-updates e li considererà al momento di cercare gli aggiornamenti dei pacchetti.

Notare che se APT::Default-Release è impostata nella configurazione di apt, allora, affinché gli aggiornamenti automatici funzionino, è necessario aggiungere alcune impostazioni di pinning di apt (per maggiori informazioni vedere apt_preferences(5)):

Package: *
Pin: release o=Debian,n=buster-updates
Pin-Priority: 990

La disponibilità di un pacchetto via (old)stable-updates verrà annunciata sulla mailing list debian-stable-announce.

stable-updates è stato introdotto in Squeeze in sostituzione dell'archivio Volatile di Lenny (vedere l'annuncio).

Vedere anche